<bugID>741047<Summary>Implement opening in-content preferences to a given view</Summary><Description>Bug 735471 adds the pref to switch between dialog and in-content prefs, but doesn't handle the case where it wants to show a specific view.

The Add-ons Manager does this in an awkward way, that was meant to be only temporary (see bug 593687 for history). It'd be good to have a standard mechanism for this.</Description></bugID>